com.ihr.xbrl.gui.interfaces

## Enum URIResolverGUI.ResultValues

- java.lang.Object
- - java.lang.Enum<URIResolverGUI.ResultValues>
  - - com.ihr.xbrl.gui.interfaces.URIResolverGUI.ResultValues

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<URIResolverGUI.ResultValues>
  Enclosing interface:
    URIResolverGUI

      public static enum URIResolverGUI.ResultValues
      extends java.lang.Enum<URIResolverGUI.ResultValues>

  These are possible values returned by the user interface.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` User selected cancel and do not knows about where the file shall be mapped.
    `OK_DO_NOT_STORE` User selected this choice means the user wants a a mapping rule available during this processor session.
    `OK_STORE` User selected this choice means a new permanent rule will be created in an XBRLCatalog file.
    `RETRY` User selected retry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URIResolverGUI.ResultValues` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static URIResolverGUI.ResultValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK_STORE

          public static final URIResolverGUI.ResultValues OK_STORE

      User selected this choice means a new permanent rule will be created in an XBRLCatalog file.

    - #### OK_DO_NOT_STORE

          public static final URIResolverGUI.ResultValues OK_DO_NOT_STORE

      User selected this choice means the user wants a a mapping rule available during this processor session.

    - #### CANCEL

          public static final URIResolverGUI.ResultValues CANCEL

      User selected cancel and do not knows about where the file shall be mapped.

    - #### RETRY

          public static final URIResolverGUI.ResultValues RETRY

      User selected retry.

  - ### Method Detail

    - #### values

          public static URIResolverGUI.ResultValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (URIResolverGUI.ResultValues c : URIResolverGUI.ResultValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static URIResolverGUI.ResultValues valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null